/* Medium divices media query */
@media (min-width: 481px) and (max-width: 767px) {


   /*  navbar */
    
     #menu-close{
        display: block;
    }

    nav ul{
        position: absolute;
        left: 1000px;
        top: 9rem;
        flex-direction: column;
        height: 50vh;
        background-color: #7633FA;
        width: 100%;
        box-shadow: 8px 8px 20px black;
        transition: all 0.5s ease-in-out;
    
    } 

    nav ul li{
        border: 1px solid navy;
        height: 20%;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    nav ul li a{
    font-size: 2.2rem;
    color: var(--text-primary);
    cursor: pointer;
    font-weight: 700;
    transition: 0.5s;
    letter-spacing: 2px;
    }

    nav ul li a:hover,
    nav ul li a.active{
    border-bottom: none;
    text-shadow: none;
    color: navy;
    }

    .menu-show{
        left: 0 !important;
    }

    .nav-header{
        border-radius: 0px !important;
        background-color: #452C79 !important;
    }

       
    
    



    /* body */

    body{
        padding: 0px;
    }

    /* Main */

    .main{
        display: block;
        height: 60vh;
        position: relative;
    }

    .content1 h1{
        font-size: 4rem;
    }

    .content1 h2{
        font-size: 3rem;
    }

    .content1{
        width: 100%;
        height: 50%;
        gap: 1.5rem;
        margin-top: 30%;
        
    }

    .content1 p{
        font-size: 1.3rem;
        width: 90%;
    }

    .social-icons{
        font-size: 1.5rem;
        gap: 6.64vw;
    }

    .downcontain{
        /* flex-direction: column-reverse; */
        align-items: center;
        padding: 0px;
        width: 80%;
        height: 9%;
    }

    .content1 br{
        display: none;
    }

    .btn{
    width: 30%;
    height: 100%;
    font-size: 1.5rem;
    font-weight: 700;
    margin-top: 1rem;
    }

    .image-section{
    clip-path: polygon(
    0% 0%,     /* top-left */
    100% 0%,   /* top-right */
    80% 100%,  /* bottom-right */
    20% 100%   /* bottom-left */
     );

    width: 80%;
    height: 40%;
    display: none;

    }

    .hero-image{
        width: 100%;
        height: 50%;
        margin-top: 0px;
        /* position: absolute;
        top: 0px; */
    }



    /* About */

    .about{
        height: auto;
    }

    .content2{
        gap: 3rem;
    }

    .content2 h1{
        font-size: 3rem;
    }

    .logo2 img{
        display: none;
        width: 0px;
        height: 0px;
    }

    .abline{
        display: none;
        height: 0px;
        width: 0px;
        position: static;
    }

    .abdwline{
        display: none;
        width: 0px;
        height: 0px;
        position: static;
    }

    .cols{
        background-color: transparent;
        width: 100%;
        height: 18%;
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-top: 2%;
    }

    .colss{
       position: static;
       font-size: 1rem;
       flex-direction: column;
       align-items: center;
       width: 100%;
       justify-content: flex-start;
       height: 75%;
    }

    .cols p{
        font-size: 1.2rem;
        position: static;
        height: 50%;
        width: 100%;
        opacity: 100%;

    }

    .cols h1{
        font-size: 2rem;
        position: static;
        text-shadow: 0 0 24px var(--text-primary);
    }

    /* Portfolio */

    .portfolio{
  
    }

    .content3 h1{
        font-size: 3rem;
    }

    .wrapper{
        display: none;
    }

    .mobile-carousel {
    display: block; 
    }

    .dchild ul{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(3, 1fr);
        gap: 1rem;
        height: 100%;
        width: 100%;
       
    }

    .dchild ul li{
        border-radius: 0px;
        font-size: 1.5rem;
        width: 50%;
        height: 45%;
        justify-self: center;
        border-radius: 30px;
        box-shadow: 8px 8px 10px #452C79;
        background-color: #7633FA;
    }

    /* Services */

    .services{
        height: auto;
      
    }

    .content4 h1{
        font-size: 3rem;
        margin-bottom: 5rem;
    }

    .content4{
        justify-content: flex-start;
        padding-top: 5rem;
    }

    .wrapper2{
        grid-template-columns: repeat(1,1fr);
        grid-template-rows: repeat(2, 1fr);
    }

    .card1{
        height: 20rem;
        width: 80%;
    }

    .servic1 img{
        height: 50px;
        width: 50px;
    }

    .card1 h3{
        font-size: 1.7rem;
    }

    .card1 p{
        font-size: 1.3rem;
    }

    .card1 button{
        margin-top: 1rem;
    }

    /* Contact */

    .form1{
        width: 100%;
        height: 50%;
    }

    .content6 h2{
        font-size: 3rem;
    }

    .left-div input, .right-div input{
   
    font-size: 2rem;
    border-radius: 5px;
    height: 5%;
    width: 100%;
    background: transparent;
    box-shadow: 0px 0px 10px var(--text-primary);
    color: var(--text-primary);
    }
}














/* Small divices media query */
@media (min-width: 320px) and (max-width: 480px) {


   /*  navbar */
    
     #menu-close{
        display: block;
        font-size: 2.5rem;
    }

    nav ul{
        position: absolute;
        left: 1000px;
        top: 9rem;
        flex-direction: column;
        height: 50vh;
        background-color: #7633FA;
        width: 100%;
        box-shadow: 8px 8px 20px black;
        transition: all 0.5s ease-in-out;
    
    } 

    nav ul li{
        border: 1px solid navy;
        height: 20%;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    nav ul li a{
    font-size: 2.2rem;
    color: var(--text-primary);
    cursor: pointer;
    font-weight: 700;
    transition: 0.5s;
    letter-spacing: 2px;
    }

    nav ul li a:hover,
    nav ul li a.active{
    border-bottom: none;
    text-shadow: none;
    color: navy;
    }

    .menu-show{
        left: 0 !important;
    }

    .nav-header{
        border-radius: 0px !important;
        background-color: #452C79 !important;
    }

    .logo a{
        font-size: 2.3rem;
    }

    .logo img{
        width: 4rem;
        height: 4rem;
    }

       
    
    



    /* body */

    body{
        padding: 0px;
    }

    /* Main */

    .main{
        display: block;
        height: 80vh;
        position: relative;
    }

    .content1 h1{
        font-size: 3.4rem;
    }

    .content1 h2{
        font-size: 2.3rem;
    }

    .content1{
        width: 100%;
        height: 100%;
        gap: 1.5rem;
        padding-bottom: 60%; 
        align-items: center;
        justify-content: center;
        margin-left: 0%;
        
    }

    .content1 p{
        font-size: 1.2rem;
        width: 90%;
        text-justify: auto;
    }

    .social-icons{
        font-size: 2rem;
        gap: 6.64vw;
    }

    .downcontain{
        flex-direction: column;
        align-items: center;
        padding: 0px;
        width: 80%;
        height: 9%;
        margin-top: 10%;
    }

    .content1 br{
        display: none;
    }

    .btn{
    width: 100%;
    padding: 5px 0px 5px 0px;
    font-size: 1.2rem;
    font-weight: 700;
    margin-bottom: 3rem;
    }

    .image-section{
    clip-path: polygon(
    0% 0%,     /* top-left */
    100% 0%,   /* top-right */
    80% 100%,  /* bottom-right */
    20% 100%   /* bottom-left */
     );

    width: 80%;
    height: 40%;
    display: none;

    }

    .hero-image{
        width: 100%;
        height: 50%;
        margin-top: 0px;
        /* position: absolute;
        top: 0px; */
    }



    /* About */

    .about{
        height: auto;
    }

    .content2{
        gap: 3rem;
    }

    .content2 h1{
        font-size: 2.5rem;
    }

    .logo2 img{
        display: none;
        width: 0px;
        height: 0px;
    }

    .abline{
        display: none;
        height: 0px;
        width: 0px;
        position: static;
    }

    .abdwline{
        display: none;
        width: 0px;
        height: 0px;
        position: static;
    }

    .cols{
        background-color: transparent;
        width: 100%;
        height: 18%;
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-top: 2%;
    }

    .colss{
       position: static;
       font-size: 1rem;
       flex-direction: column;
       align-items: center;
       width: 100%;
       justify-content: flex-start;
       height: 75%;
    }

    .cols p{
        font-size: 1.1rem;
        position: static;
        height: 50%;
        width: 100%;
        opacity: 100%;

    }

    .cols h1{
        font-size: 1.5rem;
        position: static;
        text-shadow: 0 0 24px var(--text-primary);
    }

    /* Portfolio */

    .portfolio{
        height: auto;
  
    }

    .content3 h1{
        font-size: 2.5rem;
    }

    .wrapper{
        display: none;
    }

    .mobile-carousel {
    display: block; 
    }

    .dchild ul{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(3, 1fr);
        gap: 1px;
        height: 100%;
        width: 100%;
       
    }

    .dchild ul li{
        font-size: 1.2rem;
        width: 85%;
        height: 45%;
        justify-self: center;
        border-radius: 10px;
        box-shadow: 8px 8px 10px #452C79;
        background-color: #7633FA;
        letter-spacing: 1px;
    }

    /* Services */

    .services{
        height: auto;
      
    }

    .content4 h1{
        font-size: 2.5rem;
        margin-bottom: 5rem;
    }

    .content4{
        justify-content: flex-start;
        padding-top: 5rem;
    }

    .wrapper2{
        grid-template-columns: repeat(1,1fr);
        grid-template-rows: repeat(2, 1fr);
    }

    .card1{
        height: 20rem;
        width: 80%;
    }

    .servic1 img{
        height: 50px;
        width: 50px;
    }

    .card1 h3{
        font-size: 1.7rem;
    }

    .card1 p{
        font-size: 1.3rem;
    }

    .card1 button{
        margin-top: 1rem;
    }

    /* Contact */

    .contact{
        margin-bottom: 20rem;
    }

    .form1{
        width: 100%;
        height: auto;
    }

    .content6 h2{
        font-size: 2.5rem;
    }

    .left-div input, .right-div input{
   
    font-size: 1.5rem;
    border-radius: 5px;
    height: 5%;
    width: 100%;
    background: transparent;
    box-shadow: 0px 0px 10px var(--text-primary);
    color: var(--text-primary);
    }

    .top-container{
        display: flex;
        flex-direction: column;
    }

     .content6{
       margin-bottom: 10rem;

    } 


    /* footer */
    
    .ft h1{
        font-size: 1.8rem;
        margin: 1rem ;
    }
}